Bug 127825 - Latest Errata Breaks Bonded Interfaces Without IPs
Latest Errata Breaks Bonded Interfaces Without IPs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-14 08:29 EDT by Hrunting Johnson
Modified: 2014-03-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 11:44:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix this (819 bytes, patch)
2004-07-14 15:26 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Hrunting Johnson 2004-07-14 08:29:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040707 Firefox/0.9.2

Description of problem:
The latest errata breaks bonded interfaces without IP addresses.  If a
bonded interface doesn't have an IP address, none of its slave
interfaces will be attached on boot (it requires a manual ifup of the
interfaces).

At line 221 of /sbin/ifup, you explicitly check for DHCP on the bonded
interfaces and then only up the slaves if present.  At line 223, you
check for whether or not the bonded interface has an IP.  If not, you
'ip up' it and then immmediately dump the post-config routine.  At
line 393, you do the reset of the work for handling bonded interfaces,
including up the slaves.  Therefore, without an IP address, the slaves
never get upped.

I'm not sure why all the extra effort is put in to handling DHCP as a
special case.  In the old /sbin/ifup, upping the slaves before
assigning the IP address caused no repercussions in our configs.

Version-Release number of selected component (if applicable):
initscripts-7.55-1

How reproducible:
Always

Steps to Reproduce:
1. config bonded interface with two slaves and no IP address
2. ifup bonded interface
3.

Actual Results:  Slave interfaces are not upped, and bonded interface
does not work.

Expected Results:  Slave interfaces are upped, and bonded interface
does work.

Additional info:
Comment 1 Bill Nottingham 2004-07-14 15:26:51 EDT
Created attachment 101915 [details]
Patch to fix this

The old way of doing generated large amounts of kernel driver errors with
bonding + DHCP; it's sort of a sideeffect of how bonding works (the kernel
driver was obviously not written with dhcp in mind.)

Please try the attached.
Comment 2 Hrunting Johnson 2004-07-14 17:55:28 EDT
That works fine.  The workaround I'm using until an errata is released
is to just set the IPADDR on the bonding config to 0.0.0.0.
Comment 3 Bill Nottingham 2005-02-22 11:44:54 EST
This is in current code.

Note You need to log in before you can comment on or make changes to this bug.